Permission required:
project:mem_deletePath Parameters
string
required
Workspace ID
string
required
Project ID
Request Body
array
required
Array of fact IDs to forget
Response
Returns an emptydata object on success.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123def456/projects/proj_a1b2c3d4e5f6/memories/facts/forget' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"ids": [
"fact_8f3a1b2c4d5e",
"fact_2d4e6f8a0b1c",
"fact_7g9h0i1j2k3l"
]
}'
{
"success": true,
"data": {}
}
Mark multiple facts as forgotten in a single request
POST /openapi/memorylake/api/v3/workspaces/{workspaceId}/projects/{projectId}/memories/facts/forget
project:mem_deletecurl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws_abc123def456/projects/proj_a1b2c3d4e5f6/memories/facts/forget' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"ids": [
"fact_8f3a1b2c4d5e",
"fact_2d4e6f8a0b1c",
"fact_7g9h0i1j2k3l"
]
}'
data object on success.
{
"success": true,
"data": {}
}